IMA Flash SDK Version 3

On June 1, 2017, Google will cease supporting the IMA SDK for Flash and Flash VPAID ads in the HTML5 SDK. We strongly encourage all publishers using the Flash SDK to migrate to the HTML5 SDK. We also strongly encourage advertisers trafficking Flash VPAID ads to migrate those ads to JavaScript VPAID.

The Google IMA Flash SDK v3 exposes a new, simplified set of APIs for displaying video and overlay ads within a publisher video player. For a more detailed list of the video ad features supported by each of the IMA SDKs and general compatibility information, refer to Video Features & SDK Compatibility.

To begin integrating, check out our Get Started guide.

Download the SDK and code samples if you haven't done so already.

Send feedback about...

IMA SDK for Flash
Need help? Visit our support page.